using System.Collections;
using System.Collections.Generic;

public class Loadout {
	private string name;
	private Dictionary<Class, int> ammo;

	public Loadout(string name) {
		this.name = name;
		ammo = new Dictionary<Class, int>();
	}

	public void addAmmo(Class ammoClass, int count) {
		ammo[ammoClass] = count;
	}

	public string getName() {
		return name;
	}

	public Dictionary<Class, int> getAmmo() {
		return ammo;
	}

	public static Loadout empty() {
		return new Loadout("Empty");
	}
}
